libzypp: zypp::url::UrlBaseData Class Reference

libzypp 17.38.11

zypp::url::UrlBaseData Class Reference

Internal data used by UrlBase. More...

## Public Member Functions
| UrlBaseData ()
| UrlBaseData (UrlConfig conf)

## Public Attributes
UrlConfig | config
ViewOptions | vopts
std::string | scheme
std::string | user
std::string | pass
std::string | host
std::string | port
std::string | pathname
std::string | pathparams
SafeQuerystr | querystr
std::string | fragment

## Detailed Description

Internal data used by UrlBase.

Definition at line 179 of file UrlBase.cc.

## Constructor & Destructor Documentation

## ◆ UrlBaseData() [1/2]

zypp::url::UrlBaseData::UrlBaseData | ( |  | ) |
| inline

Definition at line 182 of file UrlBase.cc.

## ◆ UrlBaseData() [2/2]

zypp::url::UrlBaseData::UrlBaseData | ( | UrlConfig | conf | ) |
| inline

Definition at line 185 of file UrlBase.cc.

## Member Data Documentation

## ◆ config

UrlConfig zypp::url::UrlBaseData::config

Definition at line 189 of file UrlBase.cc.

## ◆ vopts

ViewOptions zypp::url::UrlBaseData::vopts

Definition at line 190 of file UrlBase.cc.

## ◆ scheme

std::string zypp::url::UrlBaseData::scheme

Definition at line 192 of file UrlBase.cc.

## ◆ user

std::string zypp::url::UrlBaseData::user

Definition at line 193 of file UrlBase.cc.

## ◆ pass

std::string zypp::url::UrlBaseData::pass

Definition at line 194 of file UrlBase.cc.

## ◆ host

std::string zypp::url::UrlBaseData::host

Definition at line 195 of file UrlBase.cc.

## ◆ port

std::string zypp::url::UrlBaseData::port

Definition at line 196 of file UrlBase.cc.

## ◆ pathname

std::string zypp::url::UrlBaseData::pathname

Definition at line 197 of file UrlBase.cc.

## ◆ pathparams

std::string zypp::url::UrlBaseData::pathparams

Definition at line 198 of file UrlBase.cc.

## ◆ querystr

SafeQuerystr zypp::url::UrlBaseData::querystr

Definition at line 199 of file UrlBase.cc.

## ◆ fragment

std::string zypp::url::UrlBaseData::fragment

Definition at line 200 of file UrlBase.cc.

The documentation for this class was generated from the following file:

- zypp-core/url/UrlBase.cc